WWW::Topica::Index(3pm)

NAME
WWW::Topica::Index - parse a single Topic mailing list index

SYNOPSIS
    my $index = WWW::Topic::Index->new($index_html);

    foreach my $mess_id ($index->message_ids) {
        # the mail has some information and also provides a link to the reply ...
        my $mail  = WWW::Topica::Mail->new($topica->fetch_mail($mess_id), $mess_id);
        # which has other information (like the un-htmled mail and the email address) ...
        my $reply = WWW::Topica::Reply->new($topica->fetch_reply($mail->id, $mail->eto), $mail->id, $mail->eto);
    }

    print "Next offset is ".$index->next."\n";
    print "Previous offset is ".$index->prev."\n";

DESCRIPTION
Used to parse a single index page from Topica.com's mailing list indexes.

METHODS

  new <page html>

  parse <html>
Parse the html to get message ids and next & prev offsets.

  message_ids
Return all the messge ids found on the page

  prev
Return the offset of the previous page or undef if there is none.

  next
Return the offset of the next page or undef if there is none.

AUTHOR
Simon Wistow <simon@thegestalt.org>

COPYRIGHT
Copyright (c) 2004, Simon Wistow